import { BaseService, Service } from '@/cool';

@Service('item-class')
export class ItemClassService extends BaseService {

	addClass(data) {
		return this.request({
			url: '/add',
			method: 'POST',
			data: data
		});
	}
	updateClass(data) {
		return this.request({
			url: '/update',
			method: 'POST',
			data: data
		});
	}
	deleteClass(data) {
		return this.request({
			url: '/delete',
			params: data
		});
	}
	getAllClass(data) {
		return this.request({
			url: '/list',
			params: data
		});
	}
}
export default new ItemClassService();